<div dir="ltr">Hello all,<div><br></div><div style>I did some research into how we could make IPython and gevent compatible with each other, and after some <a href="https://github.com/ipython/ipython/issues/2785">discussion on github</a>, we decided the best way to integrate the two is execute a gevent.monkey patch in the IPython launcher (or earlier).  As a follow-up to this, Thomas Kluyver suggested I ask you all the following question:<br>

<br>Is anyone here be interested in IPython supporting a specific ipython_gevent launcher?  It might look like this:</div><div style><br></div><blockquote style="margin:0px 0px 0px 40px;border:none;padding:0px"><div style>

<div style># EASY-INSTALL-ENTRY-SCRIPT: &#39;ipython==0.13.1&#39;,&#39;console_scripts&#39;,&#39;ipython&#39;</div></div><div style><div style>__requires__ = &#39;ipython==0.13.1&#39;</div></div><div style><div style>import sys</div>

</div><div style><div style>from pkg_resources import load_entry_point</div></div><div style><div style><br></div></div><div style><div style><b>import gevent.monkey ; gevent.monkey.patch_all()</b>  <b>## monkey patch would be added here  ##</b></div>

</div><div style><div style><br></div></div><div style><div style>sys.exit(</div></div><div style><div style>   load_entry_point(&#39;ipython==0.13.1&#39;, &#39;console_scripts&#39;, &#39;ipython&#39;)()</div></div><div style>

<div style>)</div></div></blockquote><div style><div><br></div><div style>Thanks for your time!</div><div style>Alex</div></div></div>